devel/p5-Data-OptList - The NetBSD Packages Collection

Parse and validate simple name/value option pairs

parse and validate simple name/value option pairs. Example:

  use Data::OptList;

  my $options = Data::Optlist::mkopt([
    qw(key1 key2 key3 key4),
    key5 => { ... },
    key6 => [ ... ],
    key7 => sub { ... },
    key8 => { ... },
    key8 => [ ... ],
  ]);

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Params-Util devel/p5-Sub-Install lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Data-OptList-0.110nb5.tgz
NetBSD 8.0earmv7hfp5-Data-OptList-0.110nb5.tgz
NetBSD 8.0earmv7hfp5-Data-OptList-0.110nb5.tgz
NetBSD 8.0earmv7hfp5-Data-OptList-0.110nb6.tgz
NetBSD 8.0i386p5-Data-OptList-0.110nb5.tgz
NetBSD 8.0i386p5-Data-OptList-0.110nb5.tgz
NetBSD 8.0i386p5-Data-OptList-0.110nb5.tgz
NetBSD 8.0i386p5-Data-OptList-0.110nb6.tgz
NetBSD 8.0powerpcp5-Data-OptList-0.110nb5.tgz
NetBSD 8.0powerpcp5-Data-OptList-0.110nb5.tgz
NetBSD 8.0powerpcp5-Data-OptList-0.110nb5.tgz
NetBSD 8.0powerpcp5-Data-OptList-0.110nb5.tgz
NetBSD 8.0x86_64p5-Data-OptList-0.110nb5.tgz
NetBSD 8.0x86_64p5-Data-OptList-0.110nb5.tgz
NetBSD 8.0x86_64p5-Data-OptList-0.110nb5.tgz
NetBSD 8.0x86_64p5-Data-OptList-0.110nb6.tgz
NetBSD 9.0aarch64p5-Data-OptList-0.110nb6.tgz
NetBSD 9.0aarch64p5-Data-OptList-0.110nb5.tgz
NetBSD 9.0aarch64p5-Data-OptList-0.110nb5.tgz
NetBSD 9.0aarch64p5-Data-OptList-0.110nb5.tgz
NetBSD 9.0alphap5-Data-OptList-0.110nb5.tgz
NetBSD 9.0alphap5-Data-OptList-0.110nb6.tgz
NetBSD 9.0earmp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0earmp5-Data-OptList-0.110nb6.tgz
NetBSD 9.0earmv6hfp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0earmv6hfp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0earmv6hfp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0earmv6hfp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0earmv6hfp5-Data-OptList-0.110nb6.tgz
NetBSD 9.0earmv7hfp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0earmv7hfp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0earmv7hfp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0earmv7hfp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0earmv7hfp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0earmv7hfp5-Data-OptList-0.110nb6.tgz
NetBSD 9.0earmv7hfp5-Data-OptList-0.110nb6.tgz
NetBSD 9.0i386p5-Data-OptList-0.110nb5.tgz
NetBSD 9.0i386p5-Data-OptList-0.110nb5.tgz
NetBSD 9.0i386p5-Data-OptList-0.110nb5.tgz
NetBSD 9.0i386p5-Data-OptList-0.110nb6.tgz
NetBSD 9.0m68kp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0m68kp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0m68kp5-Data-OptList-0.110nb6.tgz
NetBSD 9.0mips64ebp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0mips64ebp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0mips64ebp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0mips64ebp5-Data-OptList-0.110nb6.tgz
NetBSD 9.0mipselp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0mipselp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0mipselp5-Data-OptList-0.110nb6.tgz
NetBSD 9.0powerpcp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0powerpcp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0powerpcp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0powerpcp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0powerpcp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0sh3elp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0sh3elp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0sh3elp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0sh3elp5-Data-OptList-0.110nb6.tgz
NetBSD 9.0sparc64p5-Data-OptList-0.110nb5.tgz
NetBSD 9.0sparc64p5-Data-OptList-0.110nb6.tgz
NetBSD 9.0sparcp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0sparcp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0sparcp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0sparcp5-Data-OptList-0.110nb6.tgz
NetBSD 9.0vaxp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0vaxp5-Data-OptList-0.110nb5.tgz
NetBSD 9.0vaxp5-Data-OptList-0.110nb6.tgz
NetBSD 9.0x86_64p5-Data-OptList-0.110nb5.tgz
NetBSD 9.0x86_64p5-Data-OptList-0.110nb6.tgz
NetBSD 9.0x86_64p5-Data-OptList-0.110nb5.tgz
NetBSD 9.0x86_64p5-Data-OptList-0.110nb5.tgz
NetBSD 9.0x86_64p5-Data-OptList-0.110nb5.tgz
NetBSD 9.0x86_64p5-Data-OptList-0.110nb5.tgz
NetBSD 9.0x86_64p5-Data-OptList-0.112.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.